declare const default_platforms: {
    windows: string[];
    macos: string[];
    desktop: string[];
    ios: string[];
    android: string[];
};
export type NormalizedOptions = {
    transform_functions: Array<string>;
    extensions: Array<string>;
    platforms: typeof default_platforms;
    platform: keyof typeof default_platforms;
    platform_extensions: Array<string>;
};
declare const normalize_options: ((state: any) => {
    transform_functions: any[];
    extensions: any;
    platforms: any;
    platform: any;
    platform_extensions: any;
}) & import("reselect").OutputSelectorFields<(args_0: any) => {
    transform_functions: any[];
    extensions: any;
    platforms: any;
    platform: any;
    platform_extensions: any;
} & {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export { normalize_options as default, normalize_options };
